/* CLI Assign Alias Node.
   CLI:  alias aliasName aliasValue;
   Actor:  setAlias(parent, aliasName, aliasValue); */!!

inherit(Object, #CLISetAliasNode, #(aliasName
aliasValue), 2, nil)!!

now(class(CLISetAliasNode))!!

now(CLISetAliasNode)!!

/* Compile the node into Actor source. */
Def CLICodeCompile(self)
{
  CLICodeCompile("setCliStatusValue(self, ");
  CLICodeCompile("setAlias(self, ");
  CLICodeCompile(aliasName);
  CLICodeCompile(", ");
  CLICodeCompile(aliasValue);
  CLICodeCompile(")) ");
}
!!

Def init(self, name, value)
{
  aliasName := name;
  aliasValue := value;
}!!
